@import "../../../assets/styles/main.scss";

.globalLoaderContainer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 99999;
  display: flex;
  align-items: center;
  justify-content: center;

  .loader {
    height: 100%;
    width: 100%;
    background-color: transparent;
    display: flex;
    justify-content: center;
    align-items: center;

    &_spinner {
      width: 50px;
      aspect-ratio: 1;
      border-radius: 50%;
      background: radial-gradient(farthest-side, #f47500 94%, #0000) top/0.3rem
          0.3rem no-repeat,
        conic-gradient(#0000 30%, #f47500);
      mask: radial-gradient(
        farthest-side,
        #0000 calc(100% - 0.3rem),
        #180d22 0
      );
      animation: l13 1s infinite linear;
      @keyframes l13 {
        100% {
          transform: rotate(1turn);
        }
      }
    }
  }

  // .loader {
  //   width: 48px;
  //   height: 48px;
  //   border-radius: 50%;
  //   position: relative;
  //   animation: rotate 1s linear infinite;
  // }
  // .loader::before,
  // .loader::after {
  //   content: "";
  //   box-sizing: border-box;
  //   position: absolute;
  //   inset: 0px;
  //   border-radius: 50%;
  //   border: 4px solid #fff;
  //   animation: prixClipFix 2s linear infinite;
  // }
  // .loader::after {
  //   border-color: getColorHex("orange");
  //   animation: prixClipFix 2s linear infinite,
  //     rotate 0.5s linear infinite reverse;
  //   inset: 6px;
  // }

  // @keyframes rotate {
  //   0% {
  //     transform: rotate(0deg);
  //   }
  //   100% {
  //     transform: rotate(360deg);
  //   }
  // }

  // @keyframes prixClipFix {
  //   0% {
  //     clip-path: polygon(50% 50%, 0 0, 0 0, 0 0, 0 0, 0 0);
  //   }
  //   25% {
  //     clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 0, 100% 0, 100% 0);
  //   }
  //   50% {
  //     clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 100%, 100% 100%, 100% 100%);
  //   }
  //   75% {
  //     clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 100%, 0 100%, 0 100%);
  //   }
  //   100% {
  //     clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 100%, 0 100%, 0 0);
  //   }
  // }
}
